# Contributing

This repository is used for hosting artifacts. We don't generally accept pull-requests, but if you have a suggestion we will review it and apply it to our internal repository. 

## Feature requests

If you are contributing a feature request, please submit it to the [SDK community](https://develop.zendesk.com/hc/en-us/community/topics/360000018828-Mobile-SDKs).

## Issues

You can submit an issue by [using this form](https://support.zendesk.com/hc/en-us/requests/new), or by emailing [support@zendesk.com](mailto:support@zendesk.com).

### Writing Good Issue Reports and Feature Requests

File a single issue per problem or feature request. The more information you provide, the more likely we'll be able to reproduce and fix the issue. Please provide as much of the following information as possible.

#### Issue Description

A clear and concise description of what the bug is.

#### Reproduction Steps

Steps to reproduce the behavior:

1. Go to '...'
2. Click on '....'
3. Scroll down to '....'
4. See error

#### Expected Behaviour

A clear and concise description of what you expected to happen.

#### Screenshots

If applicable, add screenshots to help explain your problem. Animated GIFs can be very helpful.

#### Implementation Details

* Code snippets of how you have initialised the SDK
* SDK type and version, e.g. ZendeskSDKMessaging 1.0.1
* The iOS version, and whether it happens on a device, a simulator, or both.
* The Xcode version
* Is the SDK view controller added as a child view controller in your application?
* If possible, a small sample app that shows the issue happening.